## `value::if_uint64`

Return a pointer to the underlying `std::uint64_t`.

### Synopsis

    std::uint64_t const*
    if_uint64() const noexcept; (1)

    std::uint64_t*
    if_uint64() noexcept; (2)

### Description

If `this->kind() == kind::uint64`, returns a pointer to the underlying unsigned integer. Otherwise, returns `nullptr`.

### Example

The return value is used in both a boolean context and to assign a variable:

    if( auto p = jv.if_uint64() )
        return *p;

### Complexity

Constant.

### Exception Safety

No-throw guarantee.

Edit this page